Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IQueryExecutionHints

All Known Implementing Classes:
  QueryExecutionHints

    public interface IQueryExecutionHints

This class provides hints info for a Data Engine Query to execution.

Method Summary
`void` | `addTargetGroupInstance(IGroupInstanceInfo info)` Add a target group instance.
`boolean` | `doSortBeforeGrouping()` Indicate whether should we do sort before grouping.
`boolean` | `enablePushDown()` Indicate whether should we enable the pushdown of sort/filter/aggregation to ODA whenever applicable.
`java.util.List<IGroupInstanceInfo>` | `getTargetGroupInstances()` Return a list of IGroupInstanceInfo instances that is needed in target ResultSet.
`void` | `setEnablePushDown(boolean enablePushDown)` Set whether should the pushdown be enabled.
`void` | `setSortBeforeGrouping(boolean doSortBeforeGrouping)` Set whether to sort before grouping.

Method Detail

### enablePushDown

    boolean enablePushDown()

  Indicate whether should we enable the pushdown of sort/filter/aggregation to ODA whenever applicable.

  Returns:

### setEnablePushDown

    void setEnablePushDown(boolean enablePushDown)

  Set whether should the pushdown be enabled.

  Parameters:
    `enablePushDown` -

### doSortBeforeGrouping

    boolean doSortBeforeGrouping()

  Indicate whether should we do sort before grouping.

  Returns:

### getTargetGroupInstances

    java.util.List<IGroupInstanceInfo> getTargetGroupInstances()

  Return a list of IGroupInstanceInfo instances that is needed in target ResultSet.

  Returns:

### setSortBeforeGrouping

    void setSortBeforeGrouping(boolean doSortBeforeGrouping)

  Set whether to sort before grouping.

  Parameters:
    `doSortBeforeGrouping` -

### addTargetGroupInstance

    void addTargetGroupInstance(IGroupInstanceInfo info)

  Add a target group instance.

  Parameters:
    `info` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.